.calendar_days, .calendar_events_days {
    margin-bottom: 16px;
}

.calendar_event {
    color: #212121;
    flex: 1 1 auto;
    font-size: 15px;
    line-height: 1.25;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 16px;
}

.calendar_event .item {
    flex: 1 1 auto;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
}

@media (min-width: 768px) {
    .calendar_event .item {
        flex-direction: row;
        justify-content: space-between;
    }
}

@media (min-width: 980px) {
    .main_calendar .calendar_event .item {
        flex-direction: column;
        justify-content: flex-start;
    }
}

@media (min-width: 1200px) {
    .main_calendar .calendar_event .item {
        flex-direction: row;
        justify-content: space-between;
    }
}

.calendar_event .item > a {
    flex: none;
    padding: 16px;
}

.calendar_event .item > a img {
    display: block;
    height: 256px;
    width: 256px;
    object-fit: contain;
}

.calendar_event .item .item-body {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    padding: 16px;
    gap: 16px;
}

.calendar_event .item .item-body time {
    opacity: 0.5;
}

.calendar_event .item .item-body h3 {
    font-size: 18px;
    font-weight: 500;
    line-height: 1.15;
    text-transform: uppercase;
    margin: 0;
}

@media (min-width: 768px) {
    .calendar_event .item .item-body h3 {
        font-size: 22px;
        margin-top: 16px;
    }
}

.calendar_event .item .item-body h3 a,
.calendar_event .item .item-body h3 a:hover,
.calendar_event .item .item-body h3 a:visited,
.calendar_event .item .item-body h3 a:active {
    color: #212121;
}

.calendar_event .item .item-body p {
    max-height: 180px;
    overflow: hidden;
}

.events {
    clear: both;
    padding: 0 30px 50px 30px;
}

.event {
    padding: 0 30px 50px 30px;
}

.event .center {
    padding-top: 50px;
    clear: both;
}

.event .event_date {
    font-size: 1.28571rem;
    font-weight: 400;
    line-height: 2.14214rem;
    color: #8a8a8a;
    text-transform: uppercase;
}

.event .event_description {
    padding-top: 20px;
    font-size: 1.28571rem;
    font-weight: 300;
    line-height: 2.14214rem;
}

.timeline ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
}

.timeline li {
    flex: 0 1 auto;
    width: 24px;
    height: 24px;
    display: block;
    font-size: 15px;
    font-weight: 400;
    line-height: 24px;
    text-align: center;
    text-transform: uppercase;
    position: relative;
}

.timeline li a, .timeline li span, .timeline li a:visited, .timeline li a:active {
    width: 100%;
    height: 100%;
    display: block;
    outline: none;
    color: #212121;
    background-color: #ffffff;
    text-decoration: none;
}

.timeline li.current a, .timeline li a:hover {
    color: #ffffff;
    background-color: #436eb3;
    text-decoration: none;
}

.timeline li.disabled span {
    opacity: 0.45;
}

.timeline li span {
    cursor: not-allowed;
}

.timeline li .badge {
    position: absolute;
    display: block;
    font-size: 0.5rem;
    line-height: 1rem;
    width: 1rem;
    height: 1rem;
    color: #212121;
    background: #f3d416;
    text-align: center;
    padding: 0;
    top: -0.5rem;
    right: -0.5rem;
    z-index: 10;
    overflow: hidden;
}

.timeline--months {
    margin-bottom: 16px;
}

.timeline--months li {
    width: auto;
    height: 35px;
    line-height: 35px;
    font-size: 14px;
    font-weight: 500;
}

.timeline--months a,
.timeline--months span {
    padding-left: 8px;
    padding-right: 8px;
}

.timeline--separator {
    border-bottom: #d9d9d9 solid 1px;
    margin-bottom: 16px;
}

.main_calendar {
    padding: 0 30px;
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
}

.main_calendar #main_calendar > .main_title {
    display: block;
}

.main_calendar .calendar_event > .main_title {
    display: none;
}

#main_calendar {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

#main_calendar .main_inner {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

#main_calendar .all_events {
    text-align: center;
}

.main_calendar #main_calendar > .all_events {
    display: block;
}

.main_calendar .timeline_container > .all_events {
    display: none;
}

@media (min-width: 980px) {
    .main_calendar #main_calendar > .main_title {
        display: none;
    }

    .main_calendar .calendar_event > .main_title {
        display: block;
    }

    .main_calendar #main_calendar > .all_events {
        display: none;
    }

    .main_calendar .timeline_container {
        justify-content: flex-start;
        padding-top: 5px;
    }

    .main_calendar .timeline_container > .all_events {
        display: block;
    }

    #main_calendar .main_inner {
        flex-direction: row-reverse;
    }

    #main_calendar .main_inner .timeline_container,
    #main_calendar .main_inner .calendar_event {
        width: 49.999%;
    }

    #main_calendar .all_events {
        text-align: left;
    }
}

.main_calendar .calendar_event .item {
    display: none;
    height: auto;
}

.main_calendar .calendar_event .item.active {
    display: flex;
}

.main_calendar .carousel-control.left, .main_calendar .carousel-control.right {
    background: none;
}

.main_calendar .carousel-indicators {
    padding-right: 16px;
}

.main_calendar .section-title {
    margin: 0;
    margin-bottom: 16px;
}

.main_calendar .main-title {
    flex: 1 1 auto;
}

.main_calendar .timeline_container {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.main_calendar .calendar_month {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.main_calendar .calendar_month .calendar_month-left {
    color: #436EB3;
    border: #436EB3 solid 1px;
    background-color: white;
}

.main_calendar .calendar_month .calendar_month-right {
    color: white;
    background-color: #436EB3;
}

.main_calendar .calendar_month .calendar_month-date {
    color: white;
    background-color: #436EB3;
    padding: 0 16px;
    height: 35px;
    font-size: 12px;
    font-weight: 500;
    line-height: 1.1;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
}

.main_calendar .calendar_month .calendar_month-left,
.main_calendar .calendar_month .calendar_month-right {
    width: 35px;
    height: 35px;
    border-radius: 17.5px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.main_calendar .calendar_month .calendar_month-left arrow-left-icon,
.main_calendar .calendar_month .calendar_month-right arrow-right-icon {
    width: 20px;
    height: 20px;
}

.main_calendar .timeline li {
    width: 30px;
    height: 30px;
    line-height: 30px;
    font-size: 12px;
    font-weight: 500;
}

.main_calendar .timeline ul {
    gap: 8px;
}

.years_switcher {
    position: absolute;
    top: -64px;
    right: 16px;
}

@media (max-width: 1198px) {
    .years_switcher {
        top: -64px;
    }
}
